From a69d7640570db537618bafda2fba06fc1af65eb2 Mon Sep 17 00:00:00 2001
From: Stephen Gallagher <sgallagh@redhat.com>
Date: Thu, 18 Feb 2010 12:40:21 -0500
Subject: [PATCH 1/5] Remove replace

---
 BUILD.txt                      |    9 +-
 Makefile.am                    |    2 +-
 configure.ac                   |    2 +-
 replace/.checker_innocent      |    4 -
 replace/Makefile.am            |   54 --
 replace/README                 |  113 ---
 replace/acinclude.m4           |    1 -
 replace/autoconf-2.60.m4       |  210 ------
 replace/autogen.sh             |   13 -
 replace/build_macros.m4        |   14 -
 replace/config.guess           | 1464 -------------------------------------
 replace/config.sub             | 1577 ----------------------------------------
 replace/configure.ac           |   42 --
 replace/dlfcn.c                |   75 --
 replace/dlfcn.m4               |   31 -
 replace/getaddrinfo.c          |  497 -------------
 replace/getaddrinfo.h          |   91 ---
 replace/getifaddrs.c           |  361 ---------
 replace/getpass.c              |  222 ------
 replace/getpass.m4             |   24 -
 replace/inet_aton.c            |   33 -
 replace/inet_ntoa.c            |   39 -
 replace/inet_ntop.c            |  191 -----
 replace/inet_pton.c            |  213 ------
 replace/install-sh             |  238 ------
 replace/libreplace.m4          |  308 --------
 replace/libreplace_cc.m4       |  182 -----
 replace/libreplace_ld.m4       |  319 --------
 replace/libreplace_macros.m4   |  332 ---------
 replace/libreplace_network.m4  |  377 ----------
 replace/repdir.m4              |   78 --
 replace/repdir_getdents.c      |  166 -----
 replace/repdir_getdirentries.c |  183 -----
 replace/replace.c              |  616 ----------------
 replace/replace.h              |  582 ---------------
 replace/samba.m4               |   35 -
 replace/snprintf.c             | 1530 --------------------------------------
 replace/socket.c               |   35 -
 replace/socketpair.c           |   46 --
 replace/strptime.c             |  990 -------------------------
 replace/strptime.m4            |   13 -
 replace/system/README          |    4 -
 replace/system/aio.h           |   32 -
 replace/system/capability.h    |   55 --
 replace/system/config.m4       |  130 ----
 replace/system/dir.h           |   67 --
 replace/system/filesys.h       |  182 -----
 replace/system/glob.h          |   37 -
 replace/system/iconv.h         |   57 --
 replace/system/kerberos.h      |  137 ----
 replace/system/locale.h        |   38 -
 replace/system/network.h       |  332 ---------
 replace/system/passwd.h        |  110 ---
 replace/system/readline.h      |   52 --
 replace/system/select.h        |   41 -
 replace/system/shmem.h         |   59 --
 replace/system/syslog.h        |   70 --
 replace/system/terminal.h      |   46 --
 replace/system/time.h          |   69 --
 replace/system/wait.h          |   55 --
 replace/test/getifaddrs.c      |  100 ---
 replace/test/main.c            |   37 -
 replace/test/os2_delete.c      |  124 ----
 replace/test/shared_mmap.c     |   68 --
 replace/test/strptime.c        |  172 -----
 replace/test/testsuite.c       | 1081 ---------------------------
 replace/timegm.c               |   78 --
 replace/timegm.m4              |    1 -
 replace/win32.m4               |   20 -
 replace/win32_replace.h        |  159 ----
 server/Makefile.am             |   10 -
 71 files changed, 3 insertions(+), 14732 deletions(-)
 delete mode 100644 replace/.checker_innocent
 delete mode 100644 replace/Makefile.am
 delete mode 100644 replace/README
 delete mode 100644 replace/acinclude.m4
 delete mode 100644 replace/autoconf-2.60.m4
 delete mode 100755 replace/autogen.sh
 delete mode 100644 replace/build_macros.m4
 delete mode 100755 replace/config.guess
 delete mode 100755 replace/config.sub
 delete mode 100644 replace/configure.ac
 delete mode 100644 replace/dlfcn.c
 delete mode 100644 replace/dlfcn.m4
 delete mode 100644 replace/getaddrinfo.c
 delete mode 100644 replace/getaddrinfo.h
 delete mode 100644 replace/getifaddrs.c
 delete mode 100644 replace/getpass.c
 delete mode 100644 replace/getpass.m4
 delete mode 100644 replace/inet_aton.c
 delete mode 100644 replace/inet_ntoa.c
 delete mode 100644 replace/inet_ntop.c
 delete mode 100644 replace/inet_pton.c
 delete mode 100755 replace/install-sh
 delete mode 100644 replace/libreplace.m4
 delete mode 100644 replace/libreplace_cc.m4
 delete mode 100644 replace/libreplace_ld.m4
 delete mode 100644 replace/libreplace_macros.m4
 delete mode 100644 replace/libreplace_network.m4
 delete mode 100644 replace/repdir.m4
 delete mode 100644 replace/repdir_getdents.c
 delete mode 100644 replace/repdir_getdirentries.c
 delete mode 100644 replace/replace.c
 delete mode 100644 replace/replace.h
 delete mode 100644 replace/samba.m4
 delete mode 100644 replace/snprintf.c
 delete mode 100644 replace/socket.c
 delete mode 100644 replace/socketpair.c
 delete mode 100644 replace/strptime.c
 delete mode 100644 replace/strptime.m4
 delete mode 100644 replace/system/README
 delete mode 100644 replace/system/aio.h
 delete mode 100644 replace/system/capability.h
 delete mode 100644 replace/system/config.m4
 delete mode 100644 replace/system/dir.h
 delete mode 100644 replace/system/filesys.h
 delete mode 100644 replace/system/glob.h
 delete mode 100644 replace/system/iconv.h
 delete mode 100644 replace/system/kerberos.h
 delete mode 100644 replace/system/locale.h
 delete mode 100644 replace/system/network.h
 delete mode 100644 replace/system/passwd.h
 delete mode 100644 replace/system/readline.h
 delete mode 100644 replace/system/select.h
 delete mode 100644 replace/system/shmem.h
 delete mode 100644 replace/system/syslog.h
 delete mode 100644 replace/system/terminal.h
 delete mode 100644 replace/system/time.h
 delete mode 100644 replace/system/wait.h
 delete mode 100644 replace/test/getifaddrs.c
 delete mode 100644 replace/test/main.c
 delete mode 100644 replace/test/os2_delete.c
 delete mode 100644 replace/test/shared_mmap.c
 delete mode 100644 replace/test/strptime.c
 delete mode 100644 replace/test/testsuite.c
 delete mode 100644 replace/timegm.c
 delete mode 100644 replace/timegm.m4
 delete mode 100644 replace/win32.m4
 delete mode 100644 replace/win32_replace.h

diff --git a/Makefile.am b/Makefile.am
index b5b9582..ed20f16 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -1,4 +1,4 @@
-SUBDIRS = replace common server sss_client
+SUBDIRS = common server sss_client
 
 DISTCHECK_CONFIGURE_FLAGS = --with-ldb-lib-dir="$$dc_install_base"/lib/ldb
 
diff --git a/configure.ac b/configure.ac
index 7f32967..a48c583 100644
--- a/configure.ac
+++ b/configure.ac
@@ -8,7 +8,7 @@ AM_INIT_AUTOMAKE([-Wall -Werror foreign])
 AC_CONFIG_MACRO_DIR([m4])
 AC_PROG_INSTALL
 
-AC_CONFIG_SUBDIRS([replace common server sss_client])
+AC_CONFIG_SUBDIRS([common server sss_client])
 
 AC_SUBST([PRERELEASE_VERSION],
          PRERELEASE_VERSION_NUMBER)
diff --git a/server/Makefile.am b/server/Makefile.am
index 147b5bc..7a52314 100644
--- a/server/Makefile.am
+++ b/server/Makefile.am
@@ -34,12 +34,6 @@ if HAVE_GCC
                  -Werror-implicit-function-declaration
 endif
 
-REPLACE_CFLAGS = \
-    -I $(srcdir)/../replace
-REPLACE_LIBS = \
-    -L$(builddir)/../replace \
-    -lreplace
-
 ACLOCAL_AMFLAGS = -I m4 -I .
 
 sbin_PROGRAMS = \
@@ -163,7 +157,6 @@ AM_CPPFLAGS = -Wall \
     $(LDB_CFLAGS) \
     $(DBUS_CFLAGS) \
     $(PCRE_CFLAGS) \
-    $(REPLACE_CFLAGS) \
     $(COLLECTION_CFLAGS) \
     $(INI_CFG_CFLAGS) \
     $(DHASH_CFLAGS) \
@@ -236,7 +229,6 @@ SSSD_LIBS = \
     $(INI_CFG_LIBS) \
     $(COLLECTION_LIBS) \
     $(DHASH_LIBS) \
-    $(REPLACE_LIBS) \
     libsss_crypt.la \
     $(NSS_LIBS)
 
@@ -246,7 +238,6 @@ PYTHON_BINDINGS_LIBS = \
     $(POPT_LIBS) \
     $(LDB_LIBS) \
     $(DBUS_LIBS) \
-    $(REPLACE_LIBS) \
     $(PCRE_LIBS) \
     $(NSS_LIBS) \
     libsss_crypt.la
@@ -261,7 +252,6 @@ TOOLS_LIBS = \
     $(INI_CFG_LIBS) \
     $(COLLECTION_LIBS) \
     $(DHASH_LIBS) \
-    $(REPLACE_LIBS) \
     libsss_crypt.la
 
 if BUILD_SELINUX
-- 
1.6.6

